package com.cpms.project.process.domain;

import com.cpms.common.annotation.Excel;
import com.cpms.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * SIF Overview List对象 t_sif_overview
 *
 * @author admin
 * @date 2024-04-12
 */
public class TSifOverview extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * SIF NO.
     */
    @Excel(name = "SIF NO.")
    private String sifNo;

    /**
     * DEVIATION
     */
    @Excel(name = "DEVIATION")
    private String deviation;

    /**
     * SHE / HAZOP ENTRY
     */
    @Excel(name = "SHE / HAZOP ENTRY")
    private String sheNo;

    /**
     * CAUSE and CONSEQUENCE
     */
    @Excel(name = "CAUSE and CONSEQUENCE")
    private String cac;

    /**
     * Requried SIL
     */
    @Excel(name = "Requried SIL")
    private String requriedSil;

    /**
     * Sensors
     */
    @Excel(name = "Sensors")
    private String sensors;

    /**
     * voting
     */
    @Excel(name = "voting")
    private String sVoting;

    /**
     * Final elements
     */
    @Excel(name = "Final elements")
    private String finalElements;

    /**
     * voting
     */
    @Excel(name = "voting")
    private String fVoting;

    /**
     * Action
     */
    @Excel(name = "Action")
    private String action;

    /**
     * Achieved SIL
     */
    @Excel(name = "Achieved SIL")
    private String achievedSil;

    /**
     * PFD Calculation Required?
     */
    @Excel(name = "PFD Calculation Required?")
    private String pfdCr;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 删除标识
     */
    private Integer delFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createrCode;

    /**
     * 创建日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updaterCode;

    /**
     * 更新日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /**
     * 部门编号
     */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setSifNo(String sifNo) {
        this.sifNo = sifNo;
    }

    public String getSifNo() {
        return sifNo;
    }

    public void setDeviation(String deviation) {
        this.deviation = deviation;
    }

    public String getDeviation() {
        return deviation;
    }

    public void setSheNo(String sheNo) {
        this.sheNo = sheNo;
    }

    public String getSheNo() {
        return sheNo;
    }

    public void setCac(String cac) {
        this.cac = cac;
    }

    public String getCac() {
        return cac;
    }

    public void setRequriedSil(String requriedSil) {
        this.requriedSil = requriedSil;
    }

    public String getRequriedSil() {
        return requriedSil;
    }

    public void setSensors(String sensors) {
        this.sensors = sensors;
    }

    public String getSensors() {
        return sensors;
    }

    public void setsVoting(String sVoting) {
        this.sVoting = sVoting;
    }

    public String getsVoting() {
        return sVoting;
    }

    public void setFinalElements(String finalElements) {
        this.finalElements = finalElements;
    }

    public String getFinalElements() {
        return finalElements;
    }

    public void setfVoting(String fVoting) {
        this.fVoting = fVoting;
    }

    public String getfVoting() {
        return fVoting;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getAction() {
        return action;
    }

    public void setAchievedSil(String achievedSil) {
        this.achievedSil = achievedSil;
    }

    public String getAchievedSil() {
        return achievedSil;
    }

    public void setPfdCr(String pfdCr) {
        this.pfdCr = pfdCr;
    }

    public String getPfdCr() {
        return pfdCr;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("sifNo", getSifNo())
                .append("deviation", getDeviation())
                .append("sheNo", getSheNo())
                .append("cac", getCac())
                .append("requriedSil", getRequriedSil())
                .append("sensors", getSensors())
                .append("sVoting", getsVoting())
                .append("finalElements", getFinalElements())
                .append("fVoting", getfVoting())
                .append("action", getAction())
                .append("achievedSil", getAchievedSil())
                .append("pfdCr", getPfdCr())
                .append("remarks", getRemarks())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("deptId", getDeptId())
                .toString();
    }
}
